Skip to content

Backup Plans

GET
/api/v1/cdpbackup/plans/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/plans/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

The geographic location for the backup plan.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the backup plan request

integer
data
Array<object>
object
plan_id

Identifier of the backup plan

integer
plan_name

Name of the backup plan

string
plan_type

Type identifier of the backup plan

string
schedule_type

Type of backup schedule (e.g., HOURLY)

string
hourly_interval

Number of hours between each backup execution

integer
retention_settings
object
hourlyLimit

Maximum number of hourly backups to retain

integer
dailyLimit

Maximum number of daily backups to retain

integer
weeklyLimit

Maximum number of weekly backups to retain

integer
monthlyLimit

Maximum number of monthly backups to retain

integer
yearlyLimit

Maximum number of yearly backups to retain

integer
errors
object
message

Status message indicating the result of the backup plan operation

string
can_activate_backup

Indicates whether the backup plan can be activated

boolean

Example

{
"code": 200,
"data": [
{
"plan_id": 1,
"plan_name": "Regular Plan",
"plan_type": "DEFAULT",
"schedule_type": "HOURLY",
"hourly_interval": 6,
"retention_settings": {
"hourlyLimit": 12,
"dailyLimit": 14,
"weeklyLimit": 4,
"monthlyLimit": 2,
"yearlyLimit": 0
}
}
],
"message": "Success",
"can_activate_backup": true
}